﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Extensions;
using Infragistics.Windows.Samples;

namespace XDGControlHostEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            XmlDataProvider provider = this.Resources["BookData"] as XmlDataProvider;
            if (provider != null)
            {
                Binding binding = new Binding();
                binding.Source = provider;
                binding.XPath = "Book";

                grid1.SetBinding(XamDataGrid.DataSourceProperty, binding);
            }

            grid1.FieldLayoutInitialized += grid1_FieldLayoutInitialized;
           
        }

        void grid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            DataTemplate editorTemplate = this.Resources["checkTemplate"] as DataTemplate;
            if (editorTemplate != null)
            {
                Style edStyle = new Style(typeof(ControlHostEditor));

                Setter renderSetter = new Setter(ControlHostEditor.RenderDataTemplateProperty, editorTemplate);
                edStyle.Setters.Add(renderSetter);
                grid1.FieldLayouts[0].Fields["IsPublished"].Settings.EditorStyle = edStyle;
            }
        }
    }
}
